pip安装python库时报Failed building wheel for xxx错误的解决方法

目录
  • 一、问题描述
  • 二、解决办法
    • 1. 下载并安装对应的 .whl 文件
    • 2. 安装 .whl 文件
  • 总结

一、问题描述

如题,在使用pip install xxx的方法安装python库,或者是基于python的软件时,报错“ERROR: Failed building wheel for xxx(某个库)”

这个报错信息表明缺少了相应的 .whl 文件

二、解决办法

1. 下载并安装对应的 .whl 文件

下载地址:https://www.lfd.uci.edu/~gohlke/pythonlibs/#lxml

到上述网站中搜索需要的库的 .whl 文件,例如在本例中需要安装 dukpy,就到网站中搜索这个库,可以搜到一堆的文件,需要找到对应自己电脑python版本和系统的文件下载,注意下载后不要改变文件的文件名。

cp 后面的数字表示 python 的版本 cp39 代表 python3.9

在终端输 python 就可以看到自己的python版本了

2. 安装 .whl 文件

pip install .whl 文件的路径+文件名

安装成功~~

在安装软件时,有多少个库报这种错误,就用这个方法下载并安装报错库的 .whl 文件。都安装好后,重新安装需要的软件。

总结

到此这篇关于pip安装python库时报Failed building wheel for xxx错误的解决方法的文章就介绍到这了,更多相关pip安装python库报错Failed building wheel for xxx内容请搜索我们以前的文章或继续浏览下面的相关文章希望大家以后多多支持我们!

(0)

相关推荐

  • Python使用pip安装报错:is not a supported wheel on this platform的解决方法

    本文讲述了Python使用pip安装报错:is not a supported wheel on this platform的解决方法.分享给大家供大家参考,具体如下: 可能的原因1:安装的不是对应python版本的库,下载的库名中cp27代表python2.7,其它同理. 可能的原因2:这个是我遇到的情况(下载的是对应版本的库,然后仍然提示不支持当前平台) 在https://www.lfd.uci.edu/~gohlke/pythonlibs/#numpy中,我下载到的numpy库文件名: n

  • 基于windows下pip安装python模块时报错总结

    这几天把python版本升级后,发现pip安装模块好多都报错(暂不确定是不是因为升级导致的),我定睛一看,发现是权限的问题,那么怎么解决呢? 1 权限问题 C:\Users\ljf>pip install xlwt Exception: Traceback (most recent call last): File "c:\program files\python35\lib\site-packages\pip\basecommand.py", line 21 1, in mai

  • python pip安装包出现:Failed building wheel for xxx错误的解决

    出现原因:缺失相应的whl文件. 解决办法:下载并安装对应的whl文件. 提供一个whl文件的下载网址:http://www.lfd.uci.edu/~gohlke/pythonlibs/#lxml 以hmmlearn-0.2.2-cp36-cp36m-win32.whl为例,cp36代表python3.6版本和window32位,寻找与自己py相符合的版本! 安装方法: 1.切换到自己py环境 2.代码如下: pip install 文件路径 以上这篇python pip安装包出现:Faile

  • pip安装Python库时遇到的问题及解决方法

    笔者电脑系统是win7,同时安装了Python2.7和Python3.6,但是在通过命令行直接使用"pip install XXX"安装Python库时出现了以下的错误信息: Fatal error in launcher: Unable to create process using '"' 解决方法: 1,找到你的Python版本对应的解释器的名称 首先你需要进入安装Python相应版本所在的文件夹.以我的Python版本为例,这是我的Python2.7版本对应的解释器名

  • 使用pip安装python库的多种方式

    操作系统 : CentOS7.5.1804_x64 Python 版本 : 3.6.8 1.使用pip在线安装 1.1 安装单个package 格式如下: pip install SomePackage 示例如下: 比如:pip install scipy 或者指定版本安装:pip install scipy==1.3.0 1.2 安装多个package 示例如下: pip install -r req.txt req.txt 可以通过以下命令获取: pip freeze > req.txt 1

  • pip安装python库的方法总结

    使用pip安装python库的几种方式 1.使用pip在线安装 1.1 安装单个package 格式如下: pip install SomePackage 示例如下: 比如:pip install scipy 或者指定版本安装:pip install scipy==1.3.0 1.2 安装多个package 示例如下: pip install -r req.txt req.txt 可以通过以下命令获取: pip freeze > req.txt 1.3 在线安装的其它问题 1.3.1 代理问题

  • php提示Failed to write session data错误的解决方法

    本文较为详细的分析了php提示Failed to write session data错误的解决方法.分享给大家供大家参考.具体方法如下: 一.问题: 提示信息:Warning: Failed to write session data (files).Please verify that the current setting of session.save_path is correct () in Unknown on line 0 二.解决方法: 代码如下: 复制代码 代码如下: ses

  • python安装PIL模块时Unable to find vcvarsall.bat错误的解决方法

    可能很多人遇到过这个错误,当使用setup.py安装python2.7图像处理模块PIL时,python默认会寻找电脑上以安装的vs2008.如果你没有安装vs2008,会出现Unable to find vcvarsall.bat错误. 那么如何解决这个错误呢?以下就是这个错误的解决办法. 你可以通过设置VS90COMNTOOLS环境变量来引导python去识别一个新的vs.然后再执行setup.py继续完成安装. 如果你安装了vs2010,在cmd中执行: SET VS90COMNTOOLS

  • 安装sql server 2008时的4个常见错误和解决方法

    可能由于操作系统不同,或者在安装SQL 2008的时候已经安装SQL其他版本,因此可能会遇到问题,那么这时我们的实际经验和动手测试的能力也是非常重要的,这样才能少走弯路. 问题1:安装sql server 2008 R2,安装过程中提示错误:此计算机上安装了 Microsoft Visual Studio 2008 的早期版本.请在安装 SQL Server 2008 前将 Microsoft Visual Studio 2008 升级到 SP1. 之前我的电脑上确实装了vs2008,于是我准

  • Python3.9用pip安装wordcloud库失败的解决过程

    目录 前言 问题出现 问题解决过程 1.手动下载安装whl文件 2.输入 pip install wheel 3.进入文件所在的路径,然后在文件路径下输入pip install <在第一步中下载的文件名称> 总结 前言 过程比较心酸,尝试了各种方法,最后发现可能是最后在cmd输入以下代码文件路径不太对?: pip install wordcloud‑1.8.1‑cp39‑cp39‑win_amd64.whl 好了,废话不多说,来和大家详细地谈谈的心酸历程 问题出现 在cmd中输入pip ins

随机推荐

其他